Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.plastic
Class PlasticMenuBarUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.MenuBarUI
              javax.swing.plaf.basic.BasicMenuBarUI
                  com.jgoodies.plaf.plastic.PlasticMenuBarUI

public final class PlasticMenuBarUI
extends BasicMenuBarUI

The JGoodies Plastic look and feel implemenation of `MenuBarUI`.

Can handle optional `Border` types as specified by the `BorderStyle` or `HeaderStyle` client properties.

Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicMenuBarUI
`changeListener, containerListener, menuBar`

Constructor Summary
`PlasticMenuBarUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected void` | `installDefaults()`
`protected void` | `installListeners()`
`void` | `installSpecialBorder()` Installs a special border, if either a look-dependent `BorderStyle` or a look-independent `HeaderStyle` has been specified.
`protected void` | `uninstallListeners()`
`void` | `update(Graphics g, JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicMenuBarUI
`createChangeListener, createContainerListener, getMaximumSize, getMinimumSize, getPreferredSize, installKeyboardActions, installUI, uninstallDefaults, uninstallKeyboardActions, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticMenuBarUI

    public PlasticMenuBarUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults()

### installListeners

    protected void installListeners()

### uninstallListeners

    protected void uninstallListeners()

### installSpecialBorder

    public void installSpecialBorder()

  Installs a special border, if either a look-dependent `BorderStyle` or a look-independent `HeaderStyle` has been specified. A look specific `BorderStyle`shadows a `HeaderStyle`.

  We recommend to specify a `HeaderStyle`.

  ``

### update

    public void update(Graphics g,
                       JComponent c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.